chore(deps): update docker.io/bats/bats docker tag to v1.14.0 #113

Merged
williamp merged 1 commits from renovate/docker.io-bats-bats-1.x into main 2026-07-22 23:08:22 +00:00
Member

This PR contains the following updates:

Package Update Change
docker.io/bats/bats (source) minor 1.13.0 -> 1.14.0

Release Notes

bats-core/bats-core (docker.io/bats/bats)

v1.14.0

Compare Source

Added:
  • --errexit flag to enable errexit (set -e) behavior for commands run in run (#​1118)
  • pretty formatter: add non-interactive, color-only mode for CI environments (#​1191)
Fixed:
  • junit formatter:
    • avoid interference between env and internals (#​1175)
    • remove control characters (\x00-\x08\x0B\x0C\x0E-\x1F) (#​1176)
    • don't report (skipped) last test as failed when teardown_suite generates FD3 output (#​1181)
    • fix(junit-formatter): skipped tests outputs reported as (#​1177)
  • fix failures with --gather-test-outputs-in when tests change directory (#​1183)
  • run now honors set -e in your functions (#​1118)
    • ATTENTION: In previous versions this was suppressed unintentionally.
      While it might constitute a breaking change for some, we decided the new behavior should be the default because it might uncover hidden errors.
      If you need the old behavior, you can use this wrapper function suppress_errexit() { "$@&#8203;" || return $?; } like run suppress_errexit <your command...>
  • avoid overwriting $_ by the DEBUG and ERR traps set by Bats (#​1208)
  • fail with error when receiving empty string as testfile path (#​1212)
Changed:
  • update the default version of the bash Docker image to 5.3 in devcontainer (#​1184)
  • exit with error when no tests are found. Use --allow-empty-suite to revert to old behavior. (#​1211)
Documentation:
  • added section about dynamic test registration (#​1187)

Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • If you want to rebase/retry this PR, check this box

This PR has been generated by Renovate Bot.

This PR contains the following updates: | Package | Update | Change | |---|---|---| | [docker.io/bats/bats](https://hub.docker.com/r/bats/bats) ([source](https://github.com/bats-core/bats-core)) | minor | `1.13.0` -> `1.14.0` | --- ### Release Notes <details> <summary>bats-core/bats-core (docker.io/bats/bats)</summary> ### [`v1.14.0`](https://github.com/bats-core/bats-core/releases/tag/v1.14.0) [Compare Source](https://github.com/bats-core/bats-core/compare/v1.13.0...v1.14.0) ##### Added: - `--errexit` flag to enable errexit (set -e) behavior for commands run in `run` ([#&#8203;1118](https://github.com/bats-core/bats-core/issues/1118)) - pretty formatter: add non-interactive, color-only mode for CI environments ([#&#8203;1191](https://github.com/bats-core/bats-core/issues/1191)) ##### Fixed: - junit formatter: - avoid interference between env and internals ([#&#8203;1175](https://github.com/bats-core/bats-core/issues/1175)) - remove control characters (\x00-\x08\x0B\x0C\x0E-\x1F) ([#&#8203;1176](https://github.com/bats-core/bats-core/issues/1176)) - don't report (skipped) last test as failed when `teardown_suite` generates FD3 output ([#&#8203;1181](https://github.com/bats-core/bats-core/issues/1181)) - fix(junit-formatter): skipped tests outputs reported as <system-err> ([#&#8203;1177](https://github.com/bats-core/bats-core/issues/1177)) - fix failures with `--gather-test-outputs-in` when tests change directory ([#&#8203;1183](https://github.com/bats-core/bats-core/issues/1183)) - `run` now honors `set -e` in your functions ([#&#8203;1118](https://github.com/bats-core/bats-core/issues/1118)) - **ATTENTION**: In previous versions this was suppressed unintentionally. While it might constitute a breaking change for some, we decided the new behavior should be the default because it might uncover hidden errors. If you need the old behavior, you can use this wrapper function `suppress_errexit() { "$@&#8203;" || return $?; }` like `run suppress_errexit <your command...>` - avoid overwriting `$_` by the DEBUG and ERR traps set by Bats ([#&#8203;1208](https://github.com/bats-core/bats-core/issues/1208)) - fail with error when receiving empty string as testfile path ([#&#8203;1212](https://github.com/bats-core/bats-core/issues/1212)) ##### Changed: - update the default version of the `bash` Docker image to 5.3 in `devcontainer` ([#&#8203;1184](https://github.com/bats-core/bats-core/issues/1184)) - exit with error when no tests are found. Use `--allow-empty-suite` to revert to old behavior. ([#&#8203;1211](https://github.com/bats-core/bats-core/issues/1211)) ##### Documentation: - added section about dynamic test registration ([#&#8203;1187](https://github.com/bats-core/bats-core/issues/1187)) </details> --- ### Configuration 📅 **Schedule**: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined). 🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied. ♻ **Rebasing**: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox. 🔕 **Ignore**: Close this PR and you won't be reminded about this update again. --- - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box --- This PR has been generated by [Renovate Bot](https://github.com/renovatebot/renovate). <!--renovate-debug:eyJjcmVhdGVkSW5WZXIiOiI0MC4xNC42IiwidXBkYXRlZEluVmVyIjoiNDAuMTQuNiIsInRhcmdldEJyYW5jaCI6Im1haW4iLCJsYWJlbHMiOltdfQ==-->
renovate-bot added 1 commit 2026-07-21 20:00:30 +00:00
williamp merged commit 16296a4144 into main 2026-07-22 23:08:22 +00:00
williamp deleted branch renovate/docker.io-bats-bats-1.x 2026-07-22 23:08:22 +00:00
Sign in to join this conversation.
No Reviewers
No labels
1 Participants
Notifications
Due Date
No due date set.
Dependencies

No dependencies set.

Reference: infrastructure/core-apps#113